This patch fixes a potential core in kline.  The core may only be triggered
by a local oper with kline access.

To apply the patch:
  cd /path/to/source/modules/
  patch -p0 < ircd-ratbox-2.0.6+kline.diff
  make
  make install

Then on irc: /quote modrestart

--- m_kline.old	2005-01-20 20:04:16.554712015 +0000
+++ m_kline.c	2005-01-20 20:04:26.699887763 +0000
@@ -56,7 +56,7 @@
 
 struct Message kline_msgtab = {
 	"KLINE", 0, 0, 0, MFLG_SLOW,
-	{mg_unreg, mg_not_oper, {ms_kline, 6}, {ms_kline, 6}, {me_kline, 5}, {mo_kline, 2}}
+	{mg_unreg, mg_not_oper, {ms_kline, 6}, {ms_kline, 6}, {me_kline, 5}, {mo_kline, 3}}
 };
 
 struct Message unkline_msgtab = {
